Bug 161930 - Nano seg faults when using CTRL+U during search
Nano seg faults when using CTRL+U during search
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nano (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-28 11:14 EDT by Michael Lee Yohe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.3.12-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-04 00:02:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2005-06-28 11:14:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Bad habit brings about hitting CTRL+U to erase a line.  As a result, I found a bug.

Version-Release number of selected component (if applicable):
nano-1.3.5-0.20050302

How reproducible:
Always

Steps to Reproduce:
1. Open 'nano'.
2. Search (CTRL+W).
3. CTRL+U
  

Actual Results:  Segmentation fault.

Expected Results:  Ignored.  If you have text on the line and hit CTRL+U, nano thinks we're trying to justify.  CTRL+U should have no effect while searching.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:44:52 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jason Tibbitts 2007-02-04 00:02:55 EST
I can't duplicate this on FC6.  nano does unjustify the line instead of ignoring
the keypress, but it doesn't crash.

Note You need to log in before you can comment on or make changes to this bug.